<?php
/**
 * About Section options
 *
 * @package Theme Palace
 * @subpackage Great Business
 * @since Great Business 1.0.0
 */

// Add About section
$wp_customize->add_section( 'favblog_about_section', array(
	'title'             => esc_html__( 'About Us','great-business' ),
	'description'       => esc_html__( 'About Us  Section options.', 'great-business' ),
	'panel'             => 'favblog_front_page_panel',
	'priority'			=> 12,
) );

// About content enable control and setting
$wp_customize->add_setting( 'about_section_enable', array(
	'default'			=> 	false,
	'sanitize_callback' => 'favblog_sanitize_switch_control',
) );

$wp_customize->add_control( new Great_Business_Switch_Control( $wp_customize, 'about_section_enable', array(
	'label'             => esc_html__( 'About Section Enable', 'great-business' ),
	'section'           => 'favblog_about_section',
	'on_off_label' 		=> favblog_switch_options(),
) ) );

// about section title control and setting
$wp_customize->add_setting( 'about_sub_title', array(
    'sanitize_callback' => 'sanitize_text_field',
	'default'			=> 	esc_html__( 'About Us','great-business' ),
	'transport'			=>'postMessage'
) );

$wp_customize->add_control('about_sub_title', array(
    'label'             => esc_html__( 'Section Sub Title', 'great-business' ),
    'section'           => 'favblog_about_section',
    'type'              =>'text',
    'active_callback'	=> 'great_business_is_about_section_enable',
));
$wp_customize->selective_refresh->add_partial(
    'about_sub_title',
    array(
        'selector'            => '#about-us .section-subtitle',
        'render_callback'     => 'great_business_about_section_partial_title',
    )
);

	// about pages drop down chooser control and setting
	$wp_customize->add_setting( 'about_content_page', array(
		'sanitize_callback' => 'favblog_sanitize_page',
	) );

	$wp_customize->add_control( new Great_Business_Dropdown_Chooser( $wp_customize, 'about_content_page', array(
		'label'             => esc_html__( 'Select Page', 'great-business' ),
		'section'           => 'favblog_about_section',
		'choices'			=> favblog_page_choices(),
		'active_callback'	=> 'great_business_is_about_section_enable',
	) ) );

//slider_btn_txt
$wp_customize->add_setting('about_btn_txt',
    array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport'			=> 'postMessage',
        'default'           => esc_html__( 'Learn More', 'great-business' ),
    )
);

$wp_customize->add_control('about_btn_txt',
    array(
        'section'			=> 'favblog_about_section',
        'label'				=> esc_html__( 'Button Text:', 'great-business' ),
        'type'          	=>'text',
        'active_callback' 	=> 'great_business_is_about_section_enable'
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'about_btn_txt', array(
		'selector'            => '#about-us div.read-more a',
		'settings'            => 'about_btn_txt',
		'fallback_refresh'    => true,
		'container_inclusive' => false,
 		'render_callback'     => 'great_business_about_btn_txt_partial',
    ) );
}