<?php
/**
 * Counter Section options
 *
 * @package Theme Palace
 * @subpackage Great Business
 * @since Great Business 1.0.0
 */

// Add Counter section
$wp_customize->add_section( 'favblog_counter_section', array(
	'title'             => esc_html__( 'Counter','great-business' ),
	'description'       => esc_html__( 'Counter Section options.', 'great-business' ),
	'panel'             => 'favblog_front_page_panel',
	'priority'			=> 14,
) );

// Counter content enable control and setting
$wp_customize->add_setting( 'counter_section_enable', array(
	'default'			=> 	false,
	'sanitize_callback' => 'favblog_sanitize_switch_control',
) );

$wp_customize->add_control( new Great_Business_Switch_Control( $wp_customize, 'counter_section_enable', array(
	'label'             => esc_html__( 'Counter Section Enable', 'great-business' ),
	'section'           => 'favblog_counter_section',
	'on_off_label' 		=> favblog_switch_options(),
) ) );

// counter image setting and control.
$wp_customize->add_setting( 'counter_image', array(
	'sanitize_callback' => 'favblog_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'counter_image',
		array(
		'label'       		=> esc_html__( 'Counter BG Image', 'great-business' ),
		'section'     		=> 'favblog_counter_section',
		'active_callback'	=> 'great_business_is_counter_section_enable',
) ) );

for ( $i = 1; $i <= 4; $i++ ) :
	
	// counter title setting and control
	$wp_customize->add_setting( 'counter_value_' . $i, array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'counter_value_' . $i, array(
		'label'           	=> sprintf( esc_html__( 'Value %d', 'great-business' ), $i ),
		'section'        	=> 'favblog_counter_section',
		'active_callback' 	=> 'great_business_is_counter_section_enable',
		'type'				=> 'text',
	) );

	// counter position setting and control
	$wp_customize->add_setting( 'counter_label_' . $i, array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'counter_label_' . $i, array(
		'label'           	=> sprintf( esc_html__( 'Label %d', 'great-business' ), $i ),
		'section'        	=> 'favblog_counter_section',
		'active_callback' 	=> 'great_business_is_counter_section_enable',
		'type'				=> 'text',
	) );

	// counter hr setting and control
	$wp_customize->add_setting( 'counter_hr_'. $i, array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Great_Business_Customize_Horizontal_Line( $wp_customize, 'counter_hr_'. $i,
		array(
			'section'         => 'favblog_counter_section',
			'active_callback' => 'great_business_is_counter_section_enable',
			'type'			  => 'hr'
	) ) );

endfor;