<?php
/**
* Slider Section options
*
* @package Theme Palace
* @subpackage FavBlog
* @since FavBlog 1.0.0
*/

// Add Slider section
$wp_customize->add_section( 'favblog_slider_section', array(
	'title'             => esc_html__( 'Slider','great-business' ),
	'description'       => esc_html__( 'Slider Section options.', 'great-business' ),
	'panel'             => 'favblog_front_page_panel',
	'priority'			=> 11,
	) );

// Slider content enable control and setting
$wp_customize->add_setting( 'slider_section_enable', array(
	'default'			=> 	false,
	'sanitize_callback' => 'favblog_sanitize_switch_control',
	) );

$wp_customize->add_control( new Great_Business_Switch_Control( $wp_customize, 'slider_section_enable', array(
	'label'             => esc_html__( 'Slider Section Enable', 'great-business' ),
	'section'           => 'favblog_slider_section',
	'on_off_label' 		=> favblog_switch_options(),
	) ) );

for ( $i = 1; $i <= 3; $i++ ) :

// slider section title control and setting
	$wp_customize->add_setting( 'slider_section_sub_title_'. $i, array(
		'sanitize_callback' => 'sanitize_text_field',
		) );

$wp_customize->add_control('slider_section_sub_title_'. $i, array(
	'label'             => sprintf(esc_html__( 'Sub Title %d', 'great-business' ), $i),
	'section'           => 'favblog_slider_section',
	'type'              =>'text',
	'active_callback'	=> 'great_business_is_slider_section_enable',
	));

// slider posts drop down chooser control and setting
$wp_customize->add_setting( 'slider_content_post_'. $i, array(
	'sanitize_callback' => 'favblog_sanitize_page',
	) );

$wp_customize->add_control( new Great_Business_Dropdown_Chooser( $wp_customize, 'slider_content_post_'. $i, array(
	'label'             => sprintf(esc_html__( 'Select Post : %d', 'great-business'), $i ),
	'section'           => 'favblog_slider_section',
	'choices'			=> favblog_post_choices(),
	'active_callback'	=> 'great_business_is_slider_section_enable',
	) ) );

endfor;

//slider_btn_txt
$wp_customize->add_setting('slider_btn_txt',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => esc_html__( 'Learn More', 'great-business' ),
		)
	);

$wp_customize->add_control('slider_btn_txt',
	array(
		'section'			=> 'favblog_slider_section',
		'label'				=> esc_html__( 'Button Text:', 'great-business' ),
		'type'          	=>'text',
		'active_callback' 	=> 'great_business_is_slider_section_enable'
		)
	);