<?php

if ( ! function_exists( 'great_business_add_slider_section' ) ) :
   
    function great_business_add_slider_section() {
        
        if ( get_theme_mod( 'slider_section_enable' ) == false ) {
            return false;
        }

        $section_details = array();
        $section_details = apply_filters( 'great_business_filter_slider_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }

        great_business_render_slider_section( $section_details );
    }

endif;

if ( ! function_exists( 'great_business_get_slider_section_details' ) ) :
   
    function great_business_get_slider_section_details( $input ) {
        
        $content = array();
        $post_ids = array();

                for ( $i = 1; $i <= 3; $i++ ) {
                    if ( ! empty( get_theme_mod( 'slider_content_post_'.$i ) ) )
                        $post_ids[] = get_theme_mod( 'slider_content_post_'.$i );
                }
                $args = array(
                    'post_type'         => 'post',
                    'post__in'          => ( array ) $post_ids,
                    'posts_per_page'    => absint( 3 ),
                    'orderby'           => 'post__in',
                    'ignore_sticky_posts'   => true,
                    ); 

            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['url']       = get_the_permalink();
                    $page_post['excerpt']   = favblog_trim_content( 25 );
                    $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-600x450.jpg';

                    array_push( $content, $page_post );
                endwhile;
            endif;
            wp_reset_postdata();
            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;
add_filter( 'great_business_filter_slider_section_details', 'great_business_get_slider_section_details' );


if ( ! function_exists( 'great_business_render_slider_section' ) ) :
 
   function great_business_render_slider_section( $content_details = array() ) {

        if ( empty( $content_details ) ) {
            return;
        } ?>

        <div id="favblog_slider_section">

        <div id="featured-slider-section" class="slider-section">
                <div class="featured-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": true, "arrows":false, "autoplay": false, "draggable": true, "fade": true, "adaptiveHeight": true }'>
                    
                    <?php $i=1; foreach ($content_details as $content ): 
                    $slider_sub_title = ! empty( get_theme_mod( 'slider_section_sub_title_'. $i ) ) ? get_theme_mod( 'slider_section_sub_title_'. $i ) : '';
                    $slider_btn = ! empty( get_theme_mod( 'slider_btn_txt' ) ) ? get_theme_mod( 'slider_btn_txt' ) : '';
                    ?>

                    <article style="background-image:url('<?php echo esc_url( $content['image'] ); ?>');">
                        <div class="wrapper">
                            <div class="featured-content-wrapper">
                                <div class="entry-container">
                                    <header class="entry-header">
                                    <?php if( !empty( $slider_sub_title ) ): ?>                                        <p class="section-subtitle"><?php echo esc_html( $slider_sub_title ); ?></p>
                                    <?php endif; ?>
                                        <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                                    </header>

                                    <div class="entry-content">
                                        <p><?php echo esc_html( $content['excerpt'] ); ?></p>
                                    </div>

                                    <?php if( !empty( $slider_btn ) ): ?>
                                    <div class="read-more">
                                        <a href="<?php echo esc_url( $content['url'] ); ?>" class="btn"><?php echo esc_html( $slider_btn ); ?></a>
                                    </div>
                                <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </article>
                    
                <?php $i++; endforeach; ?>

                </div>
            </div>

            </div>
              
<?php }
endif;