<?php

if ( ! function_exists( 'great_business_add_team_section' ) ) :
  
    function great_business_add_team_section() {
        
        if ( get_theme_mod( 'team_section_enable' ) == false ) {
            return false;
        }

        $section_details = array();
        $section_details = apply_filters( 'great_business_filter_team_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }

        great_business_render_team_section( $section_details );
    }

endif;

if ( ! function_exists( 'great_business_get_team_section_details' ) ) :

    function great_business_get_team_section_details( $input ) {
        
        $content = array();
        $page_ids = array();

                for ( $i = 1; $i <= 3; $i++ ) {
                    if ( ! empty( get_theme_mod( 'team_content_page_' . $i ) ) )
                        $page_ids[] = get_theme_mod( 'team_content_page_' . $i );
                }
                
                $args = array(
                    'post_type'         => 'page',
                    'post__in'          => ( array ) $page_ids,
                    'posts_per_page'    => 3,
                    'orderby'           => 'post__in',
                    );

            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['excerpt']   = favblog_trim_content( 15 );
                    $page_post['url']       = get_the_permalink();
                    $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-600x450.jpg';

                    array_push( $content, $page_post );
                endwhile;
            endif;
            wp_reset_postdata();
            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;
add_filter( 'great_business_filter_team_section_details', 'great_business_get_team_section_details' );


if ( ! function_exists( 'great_business_render_team_section' ) ) :
 
   function great_business_render_team_section( $content_details = array() ) {

    $team_title = ! empty( get_theme_mod( 'team_title' ) ) ? get_theme_mod( 'team_title' ) : '';
        $team_sub_title = ! empty( get_theme_mod( 'team_sub_title' ) ) ? get_theme_mod( 'team_sub_title' ) : '';

        if ( empty( $content_details ) ) {
            return;
        } ?>

        <div id="favblog_team_section">

        <div id="our-team" class="relative page-section same-background">
                <div class="wrapper">
                    <div class="section-header">
                    <?php if( !empty( $team_sub_title ) ): ?>
                        <h3 class="section-subtitle"><?php echo esc_html( $team_sub_title ); ?></h3>
                    <?php endif;
                        if( !empty( $team_title ) ):
                     ?>
                        <h2 class="section-title"><?php echo esc_html( $team_title ); ?></h2>
                    <?php endif; ?>
                        <span class="separator"></span>
                    </div>

                    <div class="section-content col-3 clear">
                        
                    <?php $i=1; foreach ($content_details as $content ): ?>

                        <article>
                            <div class="team-item-wrapper">
                                <div class="featured-image">
                                    <a href="<?php echo esc_url( $content['url'] ); ?>"><img src="<?php echo esc_url( $content['image'] )?>" alt="team"></a>
                                </div>

                                <header class="entry-header">
                                <?php if( !empty( get_theme_mod( 'team_position_' . $i ) ) ): ?>
                                    <span class="team-position"><?php echo esc_html( get_theme_mod( 'team_position_' . $i ) ); ?></span>
                                <?php endif; ?>
                                    <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                                </header>

                                <div class="entry-content">
                                    <p><?php echo wp_kses_post( $content['excerpt'] )?></p>
                                </div>

                                <?php 
                                if ( ! empty( get_theme_mod( 'team_social_'. $i ) ) ) : 
                                        $social = explode( '|', get_theme_mod( 'team_social_'. $i ) ); ?>
                                    <div class="social-icons">
                                        <ul>
                                            <?php foreach( $social as $social_link ) : ?>
                                                <li>
                                                    <a href="<?php echo esc_url( $social_link ); ?>">
                                                        <?php echo favblog_return_social_icon( $social_link ); ?>
                                                    </a>
                                                </li>
                                            <?php endforeach; ?>
                                        </ul>
                                    </div>
                                <?php endif; ?>

                            </div>
                        </article>
                        
                    <?php $i++; endforeach; ?>

                     </div>
                </div>
            </div>

        </div>
              
<?php }
endif;